#! /bin/ksh
#**********************************************************************#
#       Name:      freigabe.sh                                         #
#       Funktion:  Eintragen einer Netzlaufwerfreigabe im              #
#                  Zuge eines Xoil-Updates                             #
#----------------------------------------------------------------------#
#nachfolgende Parameter wurden im dem Script start.sh exportiert       #
#ACUVR=/u/xpoint/acu
#PROTO=$ACUVR/LISTE/UPDPRT.DRU
#**********************************************************************#
PROG=NEIN
CONF=
###
###--------------- XTRANS oder SAMBA-Dienst?
###--------------- wenn eine smb.conf vorhanden ist, wird diese primaer
###--------------- behandelt!
###
if [ -f /etc/samba/smb.conf ]
then
   cd /etc/samba
   CONF="smb.conf"
   echo "      SAMBA vorhanden" >> $PROTO
fi

if [ -f /usr/xtrans4/lib/smb.ini ]
then
   cd /usr/xtrans4/lib
   CONF="smb.ini"
   echo "      XTRANS4 vorhanden" >> $PROTO
fi
###
###--------------- pruefen ob in der Konfigurationsdatei bereits
###--------------- eine Freigabe [prog] eingetragen ist
###
suchbegriff="prog"
case $CONF in
"smb.conf")
    x=$(grep -c $suchbegriff "/etc/samba/smb.conf")
    if [ $x = 0 ]; then
       PROG=NEIN
    else
       PROG=JA
    fi
    ;;
"smb.ini")
    x=`grep -c $suchbegriff "/usr/xtrans4/lib/smb.ini"`
    if [ $x = 0 ]; then
       PROG=NEIN
    else
       PROG=JA
    fi
    ;;
"") echo "      FEHLER: XTRANS4 / SAMBA konnte nicht ermittelt werden!!!" >> $PROTO
    echo "      FEHLER: XTRANS4 / SAMBA konnte nicht ermittelt werden!!!"
    exit 1
    ;;
esac
###
###--------------- XTRANS4 / SAMBA-Freigabe sichern und eintragen
###--------------- wenn noch keine Freigabe [prog] eingetragen ist
###
case $PROG in
"NEIN") cp $CONF $CONF.`date +%y%m%d`
        echo "#XPOINT-Update 08/2012"                  >> $CONF
        echo "[prog]"                                  >> $CONF
        echo "   comment = Dateifreigabe Prog-Ordner"  >> $CONF
        echo "   path = /u/xpoint/prog"                >> $CONF
        echo "   public = yes"                         >> $CONF
        echo "   read only = no"                       >> $CONF
        echo "   writeable = yes"                      >> $CONF
        echo "   public = yes"                         >> $CONF
        echo "   browseable = yes"                     >> $CONF
        echo "   share modes = yes"                    >> $CONF
        echo "   create mode = 0777"                   >> $CONF
        mkdir -p /u/xpoint/prog/teamviewer            2>> $PROTO
        echo "      Freigabe in $CONF eintragen"       >> $PROTO
        ;;
*)      echo "      Freigabe bereits in $CONF eingerichtet!" >> $PROTO
        ;;
esac
###
###--------------- XTRANS4 / SAMBA-Dienst neu starten
###
case $CONF in
"smb.ini")  echo "      XTRANS4-Dienst stoppen"     >> $PROTO
            /etc/rc2.d/S99xtrans4 stop  2>&1 /dev/null
            echo "      XTRANS4-Dienst neu starten" >> $PROTO
            /etc/rc2.d/S99xtrans4 start 2>&1 /dev/null
            ;;
"smb.conf") echo "      SAMBA-Dienst stoppen"       >> $PROTO
            /etc/rc.d/smb stop  >> /dev/null 2>&1 /dev/null
            echo "      SAMBA-Dienst neu starten"   >> $PROTO
            /etc/rc.d/smb start >> /dev/null 2>&1 /dev/null
            ;;
esac
#***********************************************************************
#*END*OF*freigabe.sh****************************************************
